Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

UnsupportedClassVersionError for SOJSpecOutTransportInfo JDK 1.7

SA-32078

Summary



An error occurred when a user tried SOAP over JMS. JDK 7 and Websphere 8.5.5.7 were used.

Error Messages



Caused by:
java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version;
class=com/pega/apache/axis2/transport/jms/SOJSpecOutTransportInfo, offset=6
at java.lang.ClassLoader.defineClassImpl(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:331)


Steps to Reproduce



Run Connect-SOAP that uses SOAP over JMS interface.

Root Cause



A defect in Pegasystems’ code or rules

Resolution



Apply HFix-31265.

Published January 4, 2017 - Updated October 8, 2020

Was this useful?

0% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Did you find this content helpful?

Want to help us improve this content?

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us